## Requirements

- [Docker Engine](https://docs.docker.com/engine/) (Docker Desktop is not required!)
- [x11docker](https://github.com/mviereck/x11docker)

## Build browser image

    $ docker build -t firefox .

## X server image

To use the `--xc` option, we need either to pull the out-dated image,

    $ docker pull x11docker/xserver

or, to build a newer image locally (preferred).

    $ x11docker --build x11docker/xserver

## Run

    $ ./x11docker -I --xc --share $HOME/Downloads -- --tmpfs /dev/shm -- firefox

## References

- based on [Jessie Frazelle's][1] [`dockerfiles/firefox`][2]
- sourced from Mozilla's '[Install Firefox .deb package for Debian-based distributions][3]'

[1]: https://blog.jessfraz.com/post/docker-containers-on-the-desktop/
[2]: https://github.com/jessfraz/dockerfiles/tree/cc75d30bd79d7b2fe4e2f0f37cdc880979c9eefb/firefox
[3]: https://support.mozilla.org/en-US/kb/install-firefox-linux#w_install-firefox-deb-package-for-debian-based-distributions-recommended
